Bug 14574 - Correcting messages on intranet error pages so they make more sense
Summary: Correcting messages on intranet error pages so they make more sense
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 16270
  Show dependency treegraph
 
Reported: 2015-07-21 03:00 UTC by Aleisha Amohia
Modified: 2016-12-05 21:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14574: Fixing error messages on staff client so they make more sense (4.58 KB, patch)
2015-07-21 03:20 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14574: Fixing error messages on staff client so they make more sense (4.63 KB, patch)
2015-08-17 04:53 UTC, cnorthcott.work
Details | Diff | Splinter Review
Bug 14574: Fixing error messages on staff client so they make more sense (4.78 KB, patch)
2015-08-18 14:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2015-07-21 03:00:15 UTC
401.pl: Adding a link under the error message to log in (makes it easier for user)

403.pl: "This error means that the link was broken and that the page doesn't exist" - this is the wrong error message

404.pl: This is the error page that will be seen most of the time and it should give more information
Comment 1 Aleisha Amohia 2015-07-21 03:20:43 UTC Comment hidden (obsolete)
Comment 2 cnorthcott.work 2015-08-17 04:53:16 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-08-18 14:46:55 UTC
Created attachment 41604 [details] [review]
Bug 14574: Fixing error messages on staff client so they make more sense

To test:
1) Go to cgi-bin/koha/errors/errornumber.pl to see the error messages which currently don't make sense (ie cgi-bin/koha/errors/401.pl etc). Have only made changes to 401, 403 and 404
2) Apply patch
3) Go to cgi-bin/koha/errors/401.pl --> Check that it now says "This error means that you aren't authorized to view this page." and "Please log in and try again.". Check that 'log in' redirects to the log in page (mainpage.pl).
4) Go to cgi-bin/koha/errors/403.pl --> Check that it now says "This error means that you are forbidden to view this page."
5) Go to cgi-bin/koha/errors/404.pl --> This page should be very different. Check that the 'Error 404' is now in italics and not bold. Check that the page gives a list of reasons the user may have been given this error and some options for their next step.

Signed-off-by: Catherine <cnorthcott.work@gmail.com>
Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: replace tab with 4 spaces.
Note: I am not sure the em tag is useful here.
Comment 4 Tomás Cohen Arazi 2015-08-18 16:19:00 UTC
Patch pushed to master.

Thanks Aleisha!
Comment 5 Sarah 2016-04-14 19:30:15 UTC
Just wanted to comment and say that on the demo, I am seeing that the 404 message reads "You tried to access a page that needs 'authentification'," which is a typo. Should be authentication.
Comment 6 Jonathan Druart 2016-04-15 07:07:27 UTC
(In reply to Sarah from comment #5)
> Just wanted to comment and say that on the demo, I am seeing that the 404
> message reads "You tried to access a page that needs 'authentification',"
> which is a typo. Should be authentication.

Patch submitted on bug 16270.